import { createFunction as publicCreateFunction, getFunction as publicGetFunction, updateFunction as publicUpdateFunction, deleteFunction as publicDeleteFunction, queryFunctions as publicQueryFunctions, } from './functions-v1-function-functions.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onFunctionCreated as publicOnFunctionCreated } from './functions-v1-function-functions.public.js';
import { onFunctionDeleted as publicOnFunctionDeleted } from './functions-v1-function-functions.public.js';
import { onFunctionUpdated as publicOnFunctionUpdated } from './functions-v1-function-functions.public.js';
export const createFunction = /*#__PURE__*/ createRESTModule(publicCreateFunction);
export const getFunction = /*#__PURE__*/ createRESTModule(publicGetFunction);
export const updateFunction = /*#__PURE__*/ createRESTModule(publicUpdateFunction);
export const deleteFunction = /*#__PURE__*/ createRESTModule(publicDeleteFunction);
export const queryFunctions = /*#__PURE__*/ createRESTModule(publicQueryFunctions);
/** */
export const onFunctionCreated = createEventModule(publicOnFunctionCreated);
/** */
export const onFunctionDeleted = createEventModule(publicOnFunctionDeleted);
/** */
export const onFunctionUpdated = createEventModule(publicOnFunctionUpdated);
export { ActivationStatus, SortOrder, WebhookIdentityType, } from './functions-v1-function-functions.universal.js';
//# sourceMappingURL=functions-v1-function-functions.context.js.map