import * as ambassadorWixFunctionsV1FunctionTypes from './functions-v1-function-functions.types.js';
import * as ambassadorWixFunctionsV1FunctionUniversalTypes from './functions-v1-function-functions.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createFunction(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixFunctionsV1FunctionUniversalTypes.CreateFunctionRequest, ambassadorWixFunctionsV1FunctionTypes.CreateFunctionRequest, ambassadorWixFunctionsV1FunctionUniversalTypes.CreateFunctionResponse & ambassadorWixFunctionsV1FunctionUniversalTypes.CreateFunctionResponseNonNullableFields, ambassadorWixFunctionsV1FunctionTypes.CreateFunctionResponse & ambassadorWixFunctionsV1FunctionTypes.CreateFunctionResponseNonNullableFields>;
export declare function getFunction(): __PublicMethodMetaInfo<'GET', {
    functionId: string;
}, ambassadorWixFunctionsV1FunctionUniversalTypes.GetFunctionRequest, ambassadorWixFunctionsV1FunctionTypes.GetFunctionRequest, ambassadorWixFunctionsV1FunctionUniversalTypes.GetFunctionResponse & ambassadorWixFunctionsV1FunctionUniversalTypes.GetFunctionResponseNonNullableFields, ambassadorWixFunctionsV1FunctionTypes.GetFunctionResponse & ambassadorWixFunctionsV1FunctionTypes.GetFunctionResponseNonNullableFields>;
export declare function updateFunction(): __PublicMethodMetaInfo<'PATCH', {
    functionId: string;
}, ambassadorWixFunctionsV1FunctionUniversalTypes.UpdateFunctionRequest, ambassadorWixFunctionsV1FunctionTypes.UpdateFunctionRequest, ambassadorWixFunctionsV1FunctionUniversalTypes.UpdateFunctionResponse & ambassadorWixFunctionsV1FunctionUniversalTypes.UpdateFunctionResponseNonNullableFields, ambassadorWixFunctionsV1FunctionTypes.UpdateFunctionResponse & ambassadorWixFunctionsV1FunctionTypes.UpdateFunctionResponseNonNullableFields>;
export declare function deleteFunction(): __PublicMethodMetaInfo<'DELETE', {
    functionId: string;
}, ambassadorWixFunctionsV1FunctionUniversalTypes.DeleteFunctionRequest, ambassadorWixFunctionsV1FunctionTypes.DeleteFunctionRequest, ambassadorWixFunctionsV1FunctionUniversalTypes.DeleteFunctionResponse, ambassadorWixFunctionsV1FunctionTypes.DeleteFunctionResponse>;
export declare function queryFunctions(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixFunctionsV1FunctionUniversalTypes.QueryFunctionsRequest, ambassadorWixFunctionsV1FunctionTypes.QueryFunctionsRequest, ambassadorWixFunctionsV1FunctionUniversalTypes.QueryFunctionsResponse & ambassadorWixFunctionsV1FunctionUniversalTypes.QueryFunctionsResponseNonNullableFields, ambassadorWixFunctionsV1FunctionTypes.QueryFunctionsResponse & ambassadorWixFunctionsV1FunctionTypes.QueryFunctionsResponseNonNullableFields>;
