"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryFunctions = exports.deleteFunction = exports.updateFunction = exports.getFunction = exports.createFunction = void 0;
const ambassadorWixFunctionsV1Function = __importStar(require("./functions-v1-function-functions.http.js"));
function createFunction() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1Function.createFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/functions',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createFunction = createFunction;
function getFunction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1Function.getFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/functions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getFunction = getFunction;
function updateFunction() {
    const payload = { function: { id: ':functionId' } };
    const getRequestOptions = ambassadorWixFunctionsV1Function.updateFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/functions/{function.id}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateFunction = updateFunction;
function deleteFunction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1Function.deleteFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/functions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteFunction = deleteFunction;
function queryFunctions() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1Function.queryFunctions(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/functions/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryFunctions = queryFunctions;
//# sourceMappingURL=functions-v1-function-functions.meta.js.map