import * as ambassadorWixFunctionsV1Function from './functions-v1-function-functions.http.js';
export function createFunction() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1Function.createFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/functions',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getFunction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1Function.getFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/functions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateFunction() {
    const payload = { function: { id: ':functionId' } };
    const getRequestOptions = ambassadorWixFunctionsV1Function.updateFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/functions/{function.id}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteFunction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1Function.deleteFunction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/functions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryFunctions() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1Function.queryFunctions(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/functions/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=functions-v1-function-functions.meta.js.map